any_input.hpp File Reference
`#include <osmium/io/any_compression.hpp>`
`#include <osmium/io/pbf_input.hpp>`
`#include <osmium/io/xml_input.hpp>`
`#include <osmium/io/o5m_input.hpp>`
Include dependency graph for any_input.hpp:

Go to the source code of this file.

## Detailed Description

Include this file if you want to read all kinds of OSM files.

Attention
  If you include this file, you'll need to link with `ws2_32` (Windows only), `libexpat`, `libz`, `libbz2`, and enable multithreading.